﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Logon.aspx.cs" ValidateRequest="false"
    Inherits="Microsoft.WindowsServerSolutions.Web.RemoteAccessSite.LogOn" %>

<%@ Register Assembly="WSSG.Web" Namespace="Microsoft.WindowsServerSolutions.Web.Controls"
    TagPrefix="wfxc" %>
<%@ Register Assembly="WSSG.Web.Internal" Namespace="Microsoft.WindowsServerSolutions.Web.Controls"
    TagPrefix="wfic" %>
<%@ Import Namespace="Microsoft.WindowsServerSolutions.Web" %>
<%@ Import Namespace="Microsoft.WindowsServerSolutions.Web.RemoteAccessSite" %>
<%@ Import Namespace="Microsoft.WindowsServerSolutions.Web.Token" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <!-- Auto detect the mobile browser-->
    <%
        if (IsAutoDetectionEnabled)
        { 
    %>
    <link rel="stylesheet" type="text/css" href="<%=VirtualPathUtility.ToAbsolute("~/css/logon_mobile_detect.css") %>" />
    <style type="text/css" media="screen and (min-device-width: 481px)">
    <!--
        @import url("<%=VirtualPathUtility.ToAbsolute("~/css/logon.css") %>");
    -->
    </style>
    <!--[if IE]><link rel="stylesheet" type="text/css" href="<%=VirtualPathUtility.ToAbsolute("~/css/logon.css") %>" media="screen" /><![endif]-->
    <link rel="stylesheet" type="text/css" href="<%=VirtualPathUtility.ToAbsolute("~/css/logon_mobile_detect.css") %>"
        media="handheld, only screen and (max-device-width: 480px)" />
    <% 
        }
        else
        {
    %>
    <wfxc:CssLoader ID="CssLoaderLogOn" runat="server" Src="~/css/logon.css" />
    <% 
        }
    %>
    <wfxc:CssLoader ID="CssLoaderMenu" runat="server" Src="~/Javascript/ramjsfx.menu.css" />
    <wfic:JSResourcesManager ID="JsrmLogon" runat="server" ResourceName="LogonResources" />
</head>
<body class="<%= BrowserCompability.BodyCssClass %>">
    <form id="formLogon" runat="server" method="post" autocomplete="off">
    <%= CsrfUtils.DefaultCanaryTokenHtmlMarkup %>
    <script type="text/javascript">
    //<![CDATA[
        try {
            Sys.Net.WebRequestManager.add_invokingRequest(addCanaryToken);
        }
        catch (e) { }

        function addCanaryToken(sender, networkRequestEventArgs) {
            try {
                var headers = networkRequestEventArgs.get_webRequest().get_headers();
                var tokenName = <%= XssUtils.JavaScriptEncode(CanaryTokenManager.CanaryTokenName) %>;
                if (!headers[tokenName])
                    headers[tokenName] = <%= XssUtils.JavaScriptEncode(CsrfUtils.DefaultCanaryToken) %>;
            }
            catch (e) { }
        }
    //]]>
    </script>
    <asp:ScriptManager ID="ScriptManagerLogOn" runat="server">
        <Scripts>
            <asp:ScriptReference Path="~/Javascript/ramjsfx.core.js" />
            <asp:ScriptReference Path="~/Javascript/ramjsfx.js" />
            <asp:ScriptReference Path="~/Javascript/ramjsfx.watermark.js" />
            <asp:ScriptReference Path="~/Javascript/ramjsfx.menu.js" />
            <asp:ScriptReference Path="~/Javascript/ramjsfx.popupwindow.js" />
        </Scripts>
    </asp:ScriptManager>

    <script type="text/javascript">
        //<![CDATA[
        $R(function() {
            if ($R('#LogonPanel').length == 1) {
                // Both checking for sign out and language selector is logon page only.
                RemoteAccessWindowsPool.TryCheck(LogonResources.WindowsPoolKey, LogonResources.ClearSessionUrl);

                if ($R('#TimeoutPanel').length == 1 && !RemoteAccessWindowsPool.IsEmpty(LogonResources.WindowsPoolKey)) {
                    // For logon page used for timeout warning page
                    $R('.main').css('display', 'none');
                    $R('.timeout-panel').css('display', 'block');
                }
                else {
                    // For common logon pages
                    if (LogonResources.ShowLanguageList) {
                        $R('.language-list').menu();
                    }
                    $R('#LogonPanel').css('display', 'block');
                    $R('#LinksPanel').css('display', 'block');
                    $R('#LogonPanel').bind('keypress', function(e) {
                        if (e.keyCode == 13) { $R('#LogOnButton').click(); return false; }
                    });
                    $R('#txtUserName').watermark(LogonResources.Username, 'watermark-txt', 'normal-txt', { keepWatermarkOnFocus: true });
                    $R('#txtPassword').watermark(LogonResources.Password, 'watermark-txt', 'normal-txt', { keepWatermarkOnFocus: true });
                    // Queue the focus event to allow UI changes from watermark to become effective first.
                    setTimeout(function() {
                        if ($R('#txtUserName').val() == 0)  $R('#txtUserName').focus();
                        else    $R('#txtPassword').focus();
                    }, 1);
                }
            }
            else if ($R('#ChangePasswordPanel').length == 1) {
                $R('#ChangePasswordPanel').css('display', 'block');
                $R('#ChangePasswordPanel').bind('keypress', function(e) {
                    if (e.keyCode == 13) { $R('#ChangePasswordButton').click(); return false; }
                });
                $R('#txtOldPassword').watermark(LogonResources.OldPassword, 'watermark-txt', 'normal-txt', { keepWatermarkOnFocus: true });
                $R('#txtNewPassword').watermark(LogonResources.NewPassword, 'watermark-txt', 'normal-txt', { keepWatermarkOnFocus: true });
                $R('#txtConfirmPassword').watermark(LogonResources.ConfirmPassword, 'watermark-txt', 'normal-txt', { keepWatermarkOnFocus: true });
                setTimeout(function() { $R('#txtOldPassword').focus(); }, 1);
            }
        });
        function showCover() {
            $R('#cover').css('display', 'block');
            $R('.main').find('a,input').each(function() { this.tabIndex = -1; });
            $R('.main').blur();
        }
		// ** Swivel Customisation Start
		function showTuring() {
			var username = document.getElementById("txtUserName").value;
			if (username != null && "" != username) {
				document.getElementById("turingRow").style.display = "";
				document.getElementById("imgTuring").src = "./AccountPage/pinsafe_image.aspx?username=" + 
					username + "&random=" + Math.floor(Math.random() * 100000);
			}
		}
		// ** Swivel Customisation End
        //]]>
    </script>

    <%
        if (IsAutoDetectionEnabled)
        { 
    %>
    <div id="mobile_test">
    </div>

    <script type="text/javascript">
        //<![CDATA[
        var w = document.getElementById('mobile_test').offsetWidth;
        if (w <= 50) {
            window.location = '<%=VirtualPathUtility.ToAbsolute("~/m") %>' + window.location.search;
        }
        //]]>
    </script>

    <%
        }
    %>
    <div class="main" runat="server" id="MainArea">
        <div class="language-container" runat="server" id="LanguageSelectPanel" visible="false">
            <span class="language-selector">
                <asp:Repeater ID="LanguageList" runat="server">
                    <HeaderTemplate>
                        <ul class="ramjsfx-menu-root language-list">
                            <li>
                                <asp:Label ID="LanguagePrefix" runat="server"></asp:Label>
                            </li>
                            <li>
                                <asp:HyperLink ID="SelectedLanguage" runat="server" CssClass="language-selected"></asp:HyperLink>
                                <ul>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <li>
                            <asp:HyperLink ID="LanguageItem" runat="server"></asp:HyperLink>
                        </li>
                    </ItemTemplate>
                    <FooterTemplate>
                        </ul></li></ul>
                    </FooterTemplate>
                </asp:Repeater>
            </span>
        </div>
        <div class="container_outter">
            <asp:Panel ID="ContainerPanel" runat="server" CssClass="container">
                <asp:Panel ID="LogosPanel" runat="server" CssClass="logos">
                    <asp:Image ID="LogoImage" runat="server" ImageUrl="~/Images/spacer.gif" alt="" CssClass="product-logo" />
                    <br />
                    <asp:Image ID="OemLogoImage" runat="server" ImageUrl="~/Images/spacer.gif" alt=""
                        CssClass="oem-logo" />
                </asp:Panel>
                <asp:Panel ID="RightPanel" runat="server" CssClass="right">
                    <asp:Panel ID="TopMessagePanel" runat="server" CssClass="logon_message warning" Visible="false">
                        <asp:Label ID="TopMessage" runat="server"></asp:Label>
                    </asp:Panel>
                    <div class="title-panel">
                        <asp:Image ID="SiteImage" runat="server" alt="" CssClass="site-image" ImageUrl="~/Images/desktop.png" />
                        <div class="title-text">
                            <asp:Label ID="ServerName" runat="server" CssClass="server-name" />
                            <br />
                            <asp:Label ID="SiteName" runat="server" CssClass="site-name" />
                        </div>
                    </div>
                    <asp:Panel ID="LogonPanel" runat="server" CssClass="logon" Visible="true">
                        <table border="0" cellpadding="0" cellspacing="0" style="margin: 0px">
                            <tr>
                                <td>
                                    <asp:TextBox ID="txtUserName" runat="server" CssClass="name-txt" onblur="Javascript:showTuring();" />
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:TextBox ID="txtPassword" runat="server" CssClass="password-txt" TextMode="Password" />
                                </td>
                                <td>
                                </td>
                            </tr>
							<!-- Swivel Customisation Start -->
                            <tr id="turingRow" style="display:none">
                                <td colspan="2" align="center">
									<input type="button" onclick="showTuring()" value="Refresh" /><br/>
									<img id="imgTuring" src="" width="250" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="password" name="txtOtc" ID="txtOtc" class="password-txt" />
                                </td>
                                <td align="center">
                                    <asp:ImageButton ID="LogOnButton" runat="server" AlternateText="" ImageUrl=""
                                        CssClass="logon_button" OnClientClick="showCover();" />
                                </td>
                            </tr>
							<!-- Swivel Customisation End -->
                        </table>
                        <div class="remember-me">
                            <asp:CheckBox ID="RememberMe" runat="server" />
                        </div>
                    </asp:Panel>
                    <asp:Panel ID="ChangePasswordPanel" runat="server" CssClass="change-password" Visible="false">
                        <table>
                            <tr>
                                <td>
                                    <asp:TextBox ID="txtKnownUserName" runat="server" CssClass="name-txt normal-txt"
                                        Enabled="false" />
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:TextBox ID="txtOldPassword" runat="server" CssClass="password-txt" TextMode="Password" />
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:TextBox ID="txtNewPassword" runat="server" CssClass="password-txt" TextMode="Password" />
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:TextBox ID="txtConfirmPassword" runat="server" CssClass="password-txt" TextMode="Password" />
                                </td>
                                <td align="center">
                                    <asp:ImageButton ID="ChangePasswordButton" runat="server" AlternateText="" ImageUrl=""
                                        CssClass="logon_button" OnClientClick="showCover();" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                    <asp:Panel ID="LogOnErrorPanel" runat="server" Visible="false">
                        <asp:Label ID="ErrorMessage" runat="server"></asp:Label>
                    </asp:Panel>
                    <noscript>
                        <div class="logon_message warning">
                            <asp:Label ID="NoScriptMessage" runat="server"></asp:Label>
                        </div>
                    </noscript>
                    <asp:Panel ID="LinksPanel" runat="server" CssClass="links-panel" Visible="false">
                        <asp:Repeater ID="LinkList" OnItemDataBound="LinkList_ItemDataBound" runat="server">
                            <HeaderTemplate>
                                <div style="margin-top: 12px;">
                                    <table style="table-layout: fixed; border-collapse: collapse; width: 100%">
                            </HeaderTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td style="vertical-align: top; border: 0; width: 16px">
                                        <asp:Image ID="Icon" runat="server" Style="height: 16px; width: 16px; margin: 4px 0px;"
                                            ImageUrl="~/Images/link16.png" alt="" />
                                    </td>
                                    <td class="multi-line" style="vertical-align: middle; padding-left: 5px; border: 0;
                                        width: 100%;">
                                        <asp:HyperLink ID="TextLink" runat="server" Target="_blank"></asp:HyperLink>
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <FooterTemplate>
                                </table> </div>
                            </FooterTemplate>
                        </asp:Repeater>
                        <asp:Repeater ID="LinkListMore" OnItemDataBound="LinkList_ItemDataBound" runat="server">
                            <HeaderTemplate>
                                <div class="hide-link">
                                    <table style="table-layout: fixed; border-collapse: collapse; width: 100%">
                            </HeaderTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td style="vertical-align: top; width: 16px">
                                        <asp:Image ID="Icon" runat="server" Style="height: 16px; width: 16px; margin: 4px 0px;"
                                            ImageUrl="~/Images/link16.png" alt="" />
                                    </td>
                                    <td class="multi-line" style="vertical-align: middle; padding-left: 5px; width: 100%;">
                                        <asp:HyperLink ID="TextLink" runat="server" Target="_blank"></asp:HyperLink>
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <FooterTemplate>
                                </table> </div>
                            </FooterTemplate>
                        </asp:Repeater>
                        <asp:HyperLink ID="MoreLinksLabel" CssClass="more-links-label" runat="server" Visible="false"
                            href="javascript:$R('.hide-link').css('display', 'block');$R('.more-links-label').css('display','none');void(0);"></asp:HyperLink>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </div>
    </div>
    <asp:Panel runat="server" CssClass="timeout-panel" ID="TimeoutPanel" Visible="false">
        <asp:Image ID="TimeoutPanelTopBar" runat="server" ImageUrl="~/Images/top_bar.png"
            alt="" />
        <asp:Image ID="TimeoutPanelIcon" runat="server" ImageUrl="~/images/warning_48.png"
            alt="" CssClass="timeout-ico" />
        <div style="margin: 30px 40px 40px 120px; padding: 0px">
            <div class="timeout-title">
                <asp:Label ID="TimeoutTitle" runat="server"></asp:Label>
            </div>
            <div class="timeout-message">
                <asp:Label ID="TimeoutMessage" runat="server" />
                <br />
                <div class="timeout-buttons">
                    <asp:Button ID="TimeoutContiue" runat="server" CssClass="timeout-button" />
                    <asp:Button ID="TimeoutSignOut" runat="server" CssClass="timeout-button timeoutSignout" />
                </div>
            </div>
        </div>
        <asp:Image ID="TimeoutPanelBottomBar" runat="server" ImageUrl="~/Images/bottom_bar.png"
            alt="" />
    </asp:Panel>
    </form>
    <div id="cover">
    </div>
    <script type="text/javascript">
        //<![CDATA[
        $R(function() {
            $R("input.timeoutSignout").click(function() {
                $R.closeAllWindows();
            });
        });
        //]]>
    </script>
</body>
</html>
