﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="Microsoft.WindowsServerSolutions.Web.RemoteAccessSite.MobileLogOn"
    MasterPageFile="~/RemoteAccessMobile.master" EnableEventValidation="false" ValidateRequest="false"
    EnableViewState="false" CodeBehind="Mobile_Logon.aspx.cs" Title="Test" %>

<%@ Register Assembly="WSSG.Web" Namespace="Microsoft.WindowsServerSolutions.Web.Controls"
    TagPrefix="cc" %>
<asp:Content ContentPlaceHolderID="head" runat="server">
    <cc:CssLoader ID="CssLoaderLogOn" runat="server" Src="~/css/mobile_logon.css" />
	<script type="text/javascript">
		function showTuring() {
			var username = document.getElementById("txtUserName").value;
			if (username != null && "" != username) {
				document.getElementById("turingRow").style.display = "";
				document.getElementById("imgTuring").src = "./pinsafe_image.aspx?username=" + username;
			}
		}
	</script>
</asp:Content>
<asp:Content ContentPlaceHolderID="PageContent" runat="server">
    <div class="server_name highlight_text">
        <asp:Label ID="ServerName" runat="server"></asp:Label>
    </div>
    <asp:Panel ID="LogOnErrorPanel" runat="server" Visible="false">
        <asp:Label ID="ErrorMessage" runat="server"></asp:Label>
    </asp:Panel>
    <asp:Panel ID="ControlPanel" runat="server" CssClass="logon_control_panel">
        <table>
            <tr>
                <td class="logon_control_margin" rowspan="3">
                </td>
                <td class="logon_textbox_cell">
                    <div class="logon_row logon_input">
                        <div class="logon_field_header" id="UserNameLabel" runat="server">
                        </div>
                        <asp:TextBox ID="txtUserName" runat="server" onblur="javascript:showTuring();" />
                    </div>
                    <div class="logon_row logon_input">
                        <div class="logon_field_header" id="PasswordLabel" runat="server">
                        </div>
                        <asp:TextBox ID="txtPassword" runat="server" TextMode="Password" />
                    </div>
                    <div class="logon_row logon_input">
                        <div class="logon_field_header" id="OTCLabel">
                        </div>
                        <input type="password" ID="txtOtc" />
                    </div>
                </td>
                <td class="logon_button_cell">
                    <div class="logon_button_row">
                        <asp:ImageButton ID="LogOnButton" runat="server" AlternateText="" ImageUrl="~/images/mobile_logon_button.png" />
                    </div>
                </td>
                <td class="logon_control_margin" rowspan="3">
                </td>
            </tr>
			<tr id="turingRow" style="display:none">
				<td colspan="2" align="center">
					<input type="button" onclick="showTuring()" value="Refresh" /><br/>
					<img id="imgTuring" src="" />
				</td>
			</tr>
            <tr>
                <td class="link_to_desktop_cell">
                    <div class="link_to_desktop_row">
                        <a runat="server" id="ViewDesktopVersionLink"></a>
                    </div>
                </td>
            </tr>
        </table>
    </asp:Panel>
</asp:Content>
<asp:Content ContentPlaceHolderID="FooterPanel" runat="server">
    <div id="NavigationFooter" runat="server">
        <asp:Label ID="CopyrightLabel" runat="server" CssClass="footer_copyright" />
    </div>
</asp:Content>
